# Functor OASISUtils.MapExt.Make

    module Make: functor (Ord : Stdlib.Map.OrderedType) -> S  with type key = Ord.t

Parameters:

`Ord` | : | `Stdlib.Map.OrderedType`

    include Map.S

    val add_list : 'a t -> (key * 'a) list -> 'a t

Extends a map with an association list.

    val of_list : (key * 'a) list -> 'a t

Convert an association list to a map.

    val to_list : 'a t -> (key * 'a) list

Convert a map to an association list.